
Application: gvSIG desktop - gvSIG feature requests #2624
'Mercator_(variant_A)' is a new alias of 'Mercator (1SP)'
07/01/2014 09:38 AM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: CRS
Target version: 2.1.0-2239-testing
gvSIG version: 2.1.0 Add-on resolve version:
Keywords: mercator, crs, wmts, 3395 Add-on resolve build:
Has patch: Proyecto:
Add-on name: Unknown Hito:
Add-on version:
Description

'Mercator_(variant_A)' is a new alias of 'Mercator (1SP)' (see EPSG:9804). So, we should add a new alias of 'Mercator (1SP)' in the 
org.gvsig.crs.Proj4 class:

    String[] projectionName = { "Mercator_1SP" };
    this.projectionNameList.add(count, projectionName);
    addProjectionName(count, "Mercator");
    addProjectionName(count, "Wright");
    addProjectionName(count, "9804");
    addProjectionName(count, "Mercator (1SP)");
    addProjectionName(count, "Mercator_(1SP)");
    addProjectionName(count, "Mercator_(variant_A)"); // <---------------

This should allow to use EPSG:3395 (WGS84 / World Mercator) correctly.

History
#1 - 07/02/2014 11:28 AM - Joaquín  del Cerro Murciano
- Target version set to 2.1.0-2259-rc3
- Assignee set to Joaquín  del Cerro Murciano
- Status changed from New to Fixed

Muchas gracias por el aporte... en el proximo build de jcrs estara

gvsig-jcrs:r245

#2 - 07/27/2014 09:42 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2239-testing

#3 - 07/28/2014 05:53 AM - Antonio Falciano
- Status changed from Fixed to Closed

EPSG:3395 (WGS84 / World Mercator) is well recognized now. So this ticket can be closed.
